## evolution-android 0.15.6cambridge4

=== CMakeLists.txt ===
project(eds-android)

cmake_minimum_required(VERSION 2.8)

# Standard install paths
include(GNUInstallDirs)

include(FindPkgConfig)
pkg_check_modules(GLIB REQUIRED glib-2.0)
pkg_check_modules(GIO REQUIRED gio-2.0)
pkg_check_modules(GTK REQUIRED gtk+-3.0)

pkg_check_modules(LIBEDATA_BOOK REQUIRED libedata-book-1.2)
pkg_check_modules(LIBEDATA_SERVER REQUIRED libedataserver-1.2)
pkg_check_modules(EVOLUTION_PLUGIN REQUIRED evolution-plugin-3.0)
pkg_check_modules(EVOLUTION_BACKEND REQUIRED libebackend-1.2)

execute_process(COMMAND pkg-config --variable=backenddir libedata-book-1.2
                OUTPUT_VARIABLE LIBEDATA_BOOK_BACKENDS_DIR
                OUTPUT_STRIP_TRAILING_WHITESPACE)

execute_process(COMMAND pkg-config --variable=plugindir evolution-plugin-3.0
                OUTPUT_VARIABLE EVOLUTION_PLUGINS_DIR
                OUTPUT_STRIP_TRAILING_WHITESPACE)

add_subdirectory(src)
add_subdirectory(plugin)
add_subdirectory(thunderbird)
add_subdirectory(autostart)

=== autostart/CMakeLists.txt ===
project(eds-android-autostart)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/eds-android-autostart.desktop.in
               ${CMAKE_CURRENT_BINARY_DIR}/eds-android-autostart.desktop @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/eds-android-autostart.desktop
        DESTINATION /${CMAKE_INSTALL_SYSCONFDIR}/xdg/autostart)

install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/register-eds-android
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/ufa)

=== plugin/CMakeLists.txt ===
project(androidplugin)

set(EBOOK_PLUGIN_ANDROID_SRC
    android-addressbook-plugin.c
    android-addressbook-plugin.h
)

add_library(org-gnome-evolution-addressbook-android MODULE ${EBOOK_PLUGIN_ANDROID_SRC})

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${GLIB_INCLUDE_DIRS}
    ${GTK_INCLUDE_DIRS}
    ${EVOLUTION_PLUGIN_INCLUDE_DIRS}
    ${LIBEDATA_SERVER_INCLUDE_DIRS}
    ${EVOLUTION_ADDRESSBOOK_INCLUDE_DIRS})

target_link_libraries(org-gnome-evolution-addressbook-android
    ${GLIB_LDFLAGS}
    ${GTK_LDFLAGS}
    ${EVOLUTION_PLUGIN_LDFLAGS}
    ${LIBEDATA_SERVER_LDFLAGS}
    ${EVOLUTION_ADDRESSBOOK_LDFLAGS})


configure_file(${CMAKE_CURRENT_SOURCE_DIR}/org-gnome-evolution-addressbook-android.eplug.xml.in
               ${CMAKE_CURRENT_BINARY_DIR}/org-gnome-evolution-addressbook-android.eplug @ONLY)

install(TARGETS org-gnome-evolution-addressbook-android LIBRARY DESTINATION ${EVOLUTION_PLUGINS_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org-gnome-evolution-addressbook-android.eplug
        DESTINATION ${EVOLUTION_PLUGINS_DIR})

=== src/CMakeLists.txt ===
project(ebookbackendandroid)

set(EBOOK_BACKEND_ANDROID_SRC
    e-book-backend-android.c
    e-book-backend-android.h
    e-book-backend-android-factory.c)

add_library(ebookbackendandroid MODULE ${EBOOK_BACKEND_ANDROID_SRC})

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${GLIB_INCLUDE_DIRS}
    ${GIO_INCLUDE_DIRS}
    ${LIBEDATA_BOOK_INCLUDE_DIRS})

target_link_libraries(ebookbackendandroid
    ${GLIB_LDFLAGS}
    ${GIO_LDFLAGS}
    ${LIBEDATA_BOOK_LDFLAGS})

add_definitions(-DG_LOG_DOMAIN=\"libebookbackend\")

install(TARGETS ebookbackendandroid LIBRARY DESTINATION ${LIBEDATA_BOOK_BACKENDS_DIR})

=== thunderbird/CMakeLists.txt ===
project(thunderbird-android)


set(THUNDERBIRD_ANDROID_SRC
    ${CMAKE_CURRENT_SOURCE_DIR}/config_build.sh
    ${CMAKE_CURRENT_SOURCE_DIR}/install.rdf
    ${CMAKE_CURRENT_SOURCE_DIR}/chrome.manifest)

add_custom_target(thunderbird ALL
                  SOURCES ${THUNDERBIRD_ANDROID_SRC})

add_custom_command(TARGET thunderbird PRE_BUILD
                   COMMAND sh ${CMAKE_CURRENT_BINARY_DIR}/build.sh
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                   DEPENDS ${THUNDERBIRD_ANDROID_SRC}
                   )


configure_file(${CMAKE_CURRENT_SOURCE_DIR}/build.sh.in
               ${CMAKE_CURRENT_BINARY_DIR}/build.sh @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/thunderbird-androideds.xpi
        DESTINATION /usr/lib/thunderbird-addons/extensions/
        RENAME thunderbird-androideds@ubuntu.com.xpi)

=== debian/changelog ===
evolution-android (0.15.6cambridge4) precise; urgency=low

  [ Tiago Salem Herrmann ]
  - Call mutex_lock after local variable initalization
  - Use goto to avoid multiple return paths

  [ root ]
  * Auto build.

 -- root <root@ps-clean-precise-i386.defaultdomain>  Tue, 26 Feb 2013 17:17:12 +0000

evolution-android (0.15.6cambridge3) precise; urgency=low

  * Do not store cache in an xml file. Use sqlite db instead.
  * Start and stop observer manually to get deltas between 
  android and local cache.

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Fri, 22 Feb 2013 21:00:19 -0300

evolution-android (0.15.6cambridge2) precise; urgency=low

  * Make the local cache persistent. Android service now sends only deltas 
  between syncs.
  * Remove contacts_map as it is not needed anymore.

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Wed, 13 Feb 2013 21:16:15 -0200

evolution-android (0.15.6cambridge1) precise; urgency=low

  * Change updateContacts() signal to receive vCards instead of refreshing
    the whole contact list. Also listen for the new removeContacts() signal.

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Thu, 31 Jan 2013 14:36:08 -0200

evolution-android (0.15.6) precise; urgency=low

  * Always set formatted name, otherwise android fails to add
    or modify contacts (LP: #1101020)
  * revert previous release

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Wed, 23 Jan 2013 15:28:15 -0200

evolution-android (0.15.5) precise; urgency=low

  * Change updateContacts() signal to receive vCards instead of refreshing
    the whole contact list. Also listen for the new removeContacts() signal.

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Tue, 22 Jan 2013 20:04:32 -0200

evolution-android (0.15.4) precise; urgency=low

  * Fixed ID changes during external sync. (LP: #1025267)

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Tue, 24 Jul 2012 18:52:31 -0300

evolution-android (0.15.3) precise; urgency=low

  * Fixed contact remove function to notify about contact removed before receive the contact updated signal from the server.
    (LP: #1019035)

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Tue, 03 Jul 2012 11:34:03 -0700

evolution-android (0.15.2) precise; urgency=low

  * Implemented async contacts updated. (LP: #1009958, #1013299)

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Thu, 14 Jun 2012 17:43:05 -0700

evolution-android (0.15.1) precise; urgency=low

  * Fixed contact update warning;
  * Register android source as default;

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Tue, 12 Jun 2012 20:07:19 -0700

evolution-android (0.15) precise; urgency=low

  * Updated client code to handle new async query API.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Tue, 05 Jun 2012 11:33:30 -0700

evolution-android (0.14) precise; urgency=low

  * Created android-evolution-autostart package to auto register android-eds during the session startup.
    (LP: #1003957)

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Fri, 01 Jun 2012 15:16:15 -0700

evolution-android (0.13) precise; urgency=low

  * Include the name of the service sub-directory in the D-Bus path.
    (LP: #974615)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 31 May 2012 11:43:23 +0200

evolution-android (0.12) precise; urgency=low

  * Fixed ubuntu release name.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Mon, 21 May 2012 12:16:58 -0700

evolution-android (0.11) quantal; urgency=low

  * Implemented support for Contacts modification.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Mon, 21 May 2012 11:38:19 -0700

evolution-android (0.10) precise; urgency=low

  * Implemented support for new modify API.
  * Fixed wrong signal name check for contacts changed.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Thu, 03 May 2012 13:10:25 -0700

evolution-android (0.9) precise; urgency=low

  * Implemented support for async contact list.
  * Implemented support for vcard.

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Mon, 16 Apr 2012 18:25:28 -0300

evolution-android (0.8) precise; urgency=low

  * debian/control: removed dep on android-service 

 -- Bill Filler <bill.filler@canonical.com>  Mon, 02 Apr 2012 17:44:44 -0400

evolution-android (0.7) precise; urgency=low

  * debian/control: fixed missing dependency on precise build.

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Thu, 29 Mar 2012 10:10:01 -0300

evolution-android (0.6) oneiric; urgency=low

  * debian/control: fixed min required version of thunderbird 

 -- Bill Filler <bill.filler@canonical.com>  Wed, 29 Feb 2012 16:27:05 -0500

evolution-android (0.5) oneiric; urgency=low

  * Renato added support for fully populated contacts 

 -- Bill Filler <bill.filler@canonical.com>  Thu, 09 Feb 2012 11:53:04 -0500

evolution-android (0.4) oneiric; urgency=low

  * merged renato's latest code 

 -- Bill Filler <bill.filler@canonical.com>  Wed, 08 Feb 2012 17:07:18 -0500

evolution-android (0.3) oneiric; urgency=low

  * fixed postinst script again, check for pidof before doing kill 

 -- Bill Filler <bill.filler@canonical.com>  Tue, 07 Feb 2012 16:52:47 -0500

evolution-android (0.2) oneiric; urgency=low

  * Fixed postinst script.

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Tue, 07 Feb 2012 17:40:36 -0300

evolution-android (0.1ubuntu1) oneiric; urgency=low

  * Updated package script with thunderbird plugin.

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Tue, 07 Feb 2012 15:27:16 -0300

evolution-android (0.1) oneiric; urgency=low

  * Evolution Data Server backend for Ubuntu android.

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Fri, 03 Feb 2012 18:00:00 -0300

=== debian/control ===
Source: evolution-android
Section: gnome
Priority: optional
Maintainer: Renato Araujo Oliveira Filho <renato@canonical.com>
Build-Depends: debhelper (>= 7.0.50~),
               cdbs,
               cmake,
               evolution-data-server-dev,
               evolution-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libedata-book1.2-dev,
               libedataserver1.2-dev,
               libebackend1.2-dev,
               libevolution,
               zip
Standards-Version: 3.9.2
Vcs-Bzr: https://code.launchpad.net/~newyork-team/newyork/android-eds

Package: evolution-android
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (>= 2.27.0),
         evolution-android-backend (= ${binary:Version})
Description: Evolution support for Ubuntu Android service (contacts).

Package: thunderbird-android
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libedataserver1.2-15,
         libglib2.0-0,
         thunderbird (>= 3.3a1pre),
         evolution-android-backend (= ${binary:Version})
Description: Thunderbird support for Ubuntu Android service (contacts).

Package: evolution-android-backend
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Evolution Data Server backend to syncronize contacts with Android
 Devices
 .
 This package contains the evolution-data-server backend plugin, which allows
 applications using evolution-data-server to access Android databases

Package: evolution-android-autostart
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         gir1.2-edataserver-1.2,
         evolution-android-backend,
Description: Autostart script for android evolution
 Autostart script to register contacts source on evolution data service

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/cmake.mk
